Bug 1162621 (CVE-2014-8504)

Summary: CVE-2014-8504 binutils: stack overflow in the SREC parser
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dan, dhowells, erik-fedora, fedora-mingw, jakub, kalevlember, kanderso, law, lkundrak, mhlavink, mnewsome, mprchlik, nickc, nobody+bgollahe, ohudlick, pfrankli, rjones, rob, seceng-idm-qe-list, swhiteho, thibault.north, trond.danielsen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20141027,reported=20141111,source=oss-security,cvss2=1.2/AV:L/AC:H/Au:N/C:P/I:N/A:N,cwe=CWE-121,dts-2.1/devtoolset-2-binutils=wontfix,dts-3/devtoolset-3-binutils=wontfix,fedora-all/arm-none-eabi-binutils-cs=affected,fedora-all/avr-binutils=affected,fedora-all/binutils=affected,fedora-all/cross-binutils=affected,fedora-all/mingw-binutils=affected,fedora-all/msp430-binutils=affected,rhel-5/binutils=wontfix,rhel-5/binutils220=wontfix,rhel-6/binutils=wontfix,rhel-6/mingw32-binutils=wontfix,rhel-7/binutils=affected,epel-all/avr-binutils=affected,epel-all/cross-binutils=affected,epel-all/mingw-binutils=affected
Fixed In Version: binutils 2.25 Doc Type: Bug Fix
Doc Text:
A stack-based buffer overflow flaw was found in the SREC parser of the libbfd library. A specially crafted file could cause an application using the libbfd library to crash or, potentially, execute arbitrary code with the privileges of the user running that application.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:35:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1162628, 1162622, 1162623, 1162624, 1162625, 1162626, 1162627, 1162629, 1162630, 1168281, 1168302, 1172710    
Bug Blocks: 1156276, 1210268    
Attachments:
Description Flags
Patch imported from PR 17510
none
Corrupt SREC file none

Description Vasyl Kaigorodov 2014-11-11 11:38:55 UTC
Stack overflow issue was reported [1] in SREC parser in binutils.
Upstream patch that fixes this issue is at [2].
Reproducer for this is available at http://lcamtuf.coredump.cx/strings-stack-overflow - just run "strings" utility on that crafted file.

[1]: https://sourceware.org/bugzilla/show_bug.cgi?id=17510#c7
[2]: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=708d7d0d11f0f2d776171979aa3479e8e12a38a0

Comment 1 Vasyl Kaigorodov 2014-11-11 11:40:24 UTC
Created mingw-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162626]
Affects: epel-all [bug 1162630]

Comment 2 Vasyl Kaigorodov 2014-11-11 11:40:28 UTC
Created avr-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162623]
Affects: epel-all [bug 1162628]

Comment 3 Vasyl Kaigorodov 2014-11-11 11:40:31 UTC
Created arm-none-eabi-binutils-cs tracking bugs for this issue:

Affects: fedora-all [bug 1162622]

Comment 4 Vasyl Kaigorodov 2014-11-11 11:40:34 UTC
Created msp430-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162627]

Comment 5 Vasyl Kaigorodov 2014-11-11 11:40:38 UTC
Created cross-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162625]
Affects: epel-all [bug 1162629]

Comment 6 Vasyl Kaigorodov 2014-11-11 11:40:41 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162624]

Comment 7 Vasyl Kaigorodov 2014-11-26 15:04:23 UTC
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 9 Fedora Update System 2014-12-06 02:37:05 UTC
arm-none-eabi-binutils-cs-2014.05.28-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-06 02:40:44 UTC
avr-binutils-2.24-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-06 10:04:33 UTC
avr-binutils-2.24-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-06 10:09:10 UTC
arm-none-eabi-binutils-cs-2014.05.28-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-07 04:37:58 UTC
avr-binutils-2.24-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-12-07 04:39:31 UTC
arm-none-eabi-binutils-cs-2014.05.28-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Vasyl Kaigorodov 2015-05-13 10:10:05 UTC
Reproducer for this is available at http://lcamtuf.coredump.cx/strings-stack-overflow - just run "strings" utility on that crafted file.

Comment 18 Nick Clifton 2015-06-26 16:24:08 UTC
Created attachment 1043598 [details]
Patch imported from PR 17510

Comment 19 Nick Clifton 2015-06-26 16:24:56 UTC
Created attachment 1043599 [details]
Corrupt SREC file

Comment 20 errata-xmlrpc 2015-11-19 03:33:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2079 https://rhn.redhat.com/errata/RHSA-2015-2079.html